openfoam可以识别的fluent文件版本



  • 我现在在使用fluent生成的多面体网格,但有一些版本的fluent输出的cas无法使用官方提供的工具转化为openfoam的网格,有人知道可以转化的fluent版本上限是哪个吗?我好像在哪看到过,上限是16.2,但我并不确定。



  • 您好,请问您的问题解决了吗,我也遇到了类似的问题,在fluent meshing中生成的多面体网格在转化为openfoam网格的时候出错



  • @gentle 已知的fluent版本上限确实是是16.2,17.0的cas就识别不了。
    但是有一个变通方法,先在fluent中将四面体网格转换成多面体网格,然后将这个cas文件导入fluent meshing,然后导出为msh文件。这样的话虽然会有warning,但不影响使用。
    fluent meshing19.0导出的msh文件在openfoam4.1里识别为TGrid18.1.
    至于你说的fluent meshing多面体网格转换出错我没有遇到过,可以把出错的界面贴一下吗?



  • @tidedrinker 我是用fluent meshing 19.1 直接生成的多面体网格,然后在openfoam18版本里面用fluentMeshToFoam命令,结果无法生成,我能加你微信细聊吗,我的微信号是15990042685 QQ号是541658283。万分感谢